Page MenuHomePhabricator

Special:Watchlist should take the days of the preferences into the select field
Closed, ResolvedPublic

Description

After T50615: Options form at the top of Special:Watchlist needs cleanup, Special:Watchlist uses a select dropdown for the "Show last:" option. Unfortunately, the value of Special:Preferences isn't added to the list of available options. This wasn't a problem, as long as the option was a link only, but now, as a form, the default selected value will be submitted whenever an user want to change another option. As a solution, the form should add the preferences value as an option to the select list and select it as a default.

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

Florian created this task.Nov 20 2015, 6:44 AM
Florian claimed this task.
Florian raised the priority of this task from to High.
Florian updated the task description. (Show Details)
Florian added a project: MediaWiki-Watchlist.
Florian added a subscriber: Florian.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 20 2015, 6:44 AM

Change 254373 had a related patch set uploaded (by Florianschmidtwelzow):
Special:Watchlist: Add the user preference to the show last select options

https://gerrit.wikimedia.org/r/254373

RP88 added a subscriber: RP88.Nov 20 2015, 7:47 AM
Jay8g added a subscriber: Jay8g.Nov 21 2015, 6:08 AM

Change 254373 merged by jenkins-bot:
Special:Watchlist: Add user preference to "Show last" options, fix float comparison

https://gerrit.wikimedia.org/r/254373

Change 254880 had a related patch set uploaded (by Bartosz Dziewoński):
Special:Watchlist: Add user preference to "Show last" options, fix float comparison

https://gerrit.wikimedia.org/r/254880

Change 254880 merged by jenkins-bot:
Special:Watchlist: Add user preference to "Show last" options, fix float comparison

https://gerrit.wikimedia.org/r/254880

matmarex closed this task as Resolved.Nov 23 2015, 4:34 PM
matmarex added a subscriber: matmarex.

Fixed and deployed.